Bug 236905 - Fetching website data may get wrong record after migrating data to general storage directory
Summary: Fetching website data may get wrong record after migrating data to general st...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Website Storage (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-02-19 21:14 PST by Sihui Liu
Modified: 2022-02-21 01:25 PST (History)
3 users (show)

See Also:


Attachments
Patch (5.98 KB, patch)
2022-02-19 23:12 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch for landing (5.98 KB, patch)
2022-02-20 23:09 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch for landing (5.95 KB, patch)
2022-02-20 23:09 PST, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2022-02-19 21:14:23 PST
...
Comment 1 Sihui Liu 2022-02-19 23:12:34 PST
Created attachment 452679 [details]
Patch
Comment 2 Sihui Liu 2022-02-20 23:09:17 PST
Created attachment 452712 [details]
Patch for landing
Comment 3 Sihui Liu 2022-02-20 23:09:57 PST
Created attachment 452713 [details]
Patch for landing
Comment 4 EWS 2022-02-21 01:24:50 PST
Committed r290239 (247564@main): <https://commits.webkit.org/247564@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 452713 [details].
Comment 5 Radar WebKit Bug Importer 2022-02-21 01:25:18 PST
<rdar://problem/89223493>